Actually, I swapped out tk_as_gem, swapped in tk-win, and it seems to work
fine. Go figure.

On Sun, Nov 7, 2010 at 3:12 PM, Andrew Wagner <wagner.andrew / gmail.com>wrote:

> There still seem to be problems even once you get past that. I installed
> tcl
> and tk_as_gem, but when I try to run the sample code on drx's website, i
> get
> this error:
>
> C:/Ruby/lib/ruby/gems/1.9.1/gems/tk_as_gem-0.1.0/lib/tk.rb:4807:in `rescue
> in method_missing': unknown optio
> 'to_ary' for #<TkImageMap::ImageMap:0x28330b0 @path=".w00002"> (deleted
> widget?) (NameError)
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/tk_as_gem-0.1.0/lib/tk.rb:4803:in
> `method_missing'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/tk_as_gem-0.1.0/lib/tk/pack.rb:42:in
> `flatten'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/tk_as_gem-0.1.0/lib/tk/pack.rb:42:in
> `configure'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/tk_as_gem-0.1.0/lib/tk.rb:5048:in `pack'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx/tk/imagemap.rb:54:in
> `initialize'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx/tk/app.rb:75:in `new'
>        from
> C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx/tk/app.rb:75:in
> `initialize'
>        from C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx.rb:12:in
> `new'
>        from C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx.rb:12:in
> `see_using_tk'
>        from C:/Ruby/lib/ruby/gems/1.9.1/gems/drx-0.4.5/lib/drx.rb:31:in
> `see'
>        from scratch.rb:4:in `<main>'
>
> On Sun, Nov 7, 2010 at 2:54 PM, Josh Cheek <josh.cheek / gmail.com> wrote:
>
> > On Sun, Nov 7, 2010 at 6:50 AM, Bruce F. <brucedfeist / gmail.com> wrote:
> >
> > > Andrew Mcelroy wrote in post #959869:
> > >
> > > > Checkout DrX  http://drx.rubyforge.org/
> > > > It might visually show you what's going on.
> > >
> > > This looks like a very interesting and useful tool.  I got an answer
> > > before I succeeded in installing it (since it seems that I need a C
> > > development package on my system to install it -- I'm running Windows
> > > 7), but I'm going to proceed with installing anyway.
> > >
> > > Thanks!
> > >
> > > --
> > > Posted via http://www.ruby-forum.com/.
> > >
> > >
> > There should be a devkit for Rubyists on Windows who need to build gems.
> >
> > Looks like you can get it from here rubyinstaller.org/downloads
> >
> > If you have difficulty, there appear to be more detailed installation
> > instructions at
> > https://github.com/oneclick/rubyinstaller/wiki/Development-Kit as well
> as
> > some explanation for the reasoning behind the DevKit, and workarounds for
> > various issues you might have.
> >
>